// cntritem.h : interface of the CNstestCntrItem class
//

class CNstestDoc;
class CNstestView;

class CNstestCntrItem : public COleClientItem
{
	DECLARE_SERIAL(CNstestCntrItem)

// Constructors
public:
	CNstestCntrItem(CNstestDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CNstestDoc* GetDocument()
		{ return (CNstestDoc*)COleClientItem::GetDocument(); }
	CNstestView* GetActiveView()
		{ return (CNstestView*)COleClientItem::GetActiveView(); }

// Implementation
public:
	~CNstestCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	virtual void Serialize(CArchive& ar);
	virtual void OnGetItemPosition(CRect& rPosition);
	virtual void OnDeactivateUI(BOOL bUndoable);

protected:
	virtual void OnChange(OLE_NOTIFICATION wNotification, DWORD dwParam);
	virtual BOOL OnChangeItemPosition(const CRect& rectPos);
	virtual BOOL CanActivate();
};

/////////////////////////////////////////////////////////////////////////////
